#!/usr/bin/perl
# IBM_PROLOG_BEGIN_TAG 
# This is an automatically generated prolog. 
#  
#  
#  
# Licensed Materials - Property of IBM 
#  
# (C) COPYRIGHT International Business Machines Corp. 2000,2001 
# All Rights Reserved 
#  
# US Government Users Restricted Rights - Use, duplication or 
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp. 
#  
# IBM_PROLOG_END_TAG 

# Creates, builds, installs the fping tarball package

use strict;
BEGIN { ($::pm = $0) =~ s|/[^/]+?$||; }   # the dir this script is in
use lib $::pm;
use TarballUtils;

my $task = shift @ARGV;
my $rc = 0;
my $pkgname = 'fping-2.2b1';
my $targetdir = "/opt/csm/bin";
my $file_to_copy = "fping";


if ($task eq 'create')
{
    # Nothing to do.
}
elsif ($task eq 'verify')
{
    # Always install fping.
    $rc = 0;
}
elsif ($task eq 'build')
{
    # Nothing to build.  fping is precompiled.
}
elsif ($task eq 'install')
{
    # Copy only the fping binary to /opt/csm/bin

    TarballUtils->untar($pkgname);
    chdir($pkgname);
    (-d $targetdir) || mkdir($targetdir, 0755);
    $rc = system("cp $file_to_copy $targetdir/$file_to_copy") >> 8;
    system("chmod 744 $targetdir/$file_to_copy");
}
elsif ($task eq 'clean')
{
    $rc = system("rm -rf $pkgname") >> 8;
}
else
{
    print "Usage:  use one of the following arguments:  verify, create, build, install, clean.\n";
    $rc = 1;
}

exit $rc;
